@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

.login {
    // display: flex;
    overflow-y: hidden;
    overflow-x: hidden;

    .blueBackground {
        // background-color: #0089ED;
        // min-height: 50vh;
        // width: 100%;
        box-sizing: border-box;

        position: absolute;
        width: 100%;
        height: 458px;
        left: 0px;
        top: 0px;

        @media only screen and (max-width: 600px) {
            height: 100vh;
        }

        background: #0089ED;
        // border: 1px solid #000000;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);


        .logo {
            position: absolute;

            @media only screen and (min-width: 600px) {
                width: 100px;
                height: 30px;
                left: 44px;
                top: 31px;
            }

            @media only screen and (max-width: 600px) {
                width: 100px;
                height: 20px;
                left: 2px;
                top: 5px
            }

            font-family: 'Poppins';
            font-style: normal;
            font-weight: 600;
            font-size: 1rem;
            line-height: 30px;

            color: #FFFFFF;
        }

        .illustration {
            position: absolute;

            @media only screen and (max-width: 1200px) {
                display: none;
            }

            width: 385px;
            height: 385px;
            left: 349px;
            top: 25px;
        }

        .textCard {
            position: absolute;
            width: 396px;
            height: 224px;
            left: 73px;
            top: 150px;

            @media only screen and (max-width: 600px) {
                display: none;
                ;
            }

            .heading {
                position: static;
                width: 300px;
                height: 51px;

                font-family: 'Poppins';
                font-style: normal;
                font-weight: 600;
                font-size: 34px;
                line-height: 51px;
                /* identical to box height */


                color: #FFFFFF;
            }

            .subHeading {
                position: static;
                width: 396px;
                height: 36px;
                top: 50px;

                font-family: 'Poppins';
                font-style: normal;
                font-weight: 400;
                font-size: 24px;
                line-height: 36px;
                /* identical to box height */


                color: #FFFFFF;
            }

            .text {
                position: absolute;
                color: bisque;
                width: 311px;
                height: 115px;
                top: 110px;
            }
        }
    }

    .formCard {
        position: absolute;
        height: 90%;
        max-height: 1000px;

        @media only screen and (min-width: 600px) {
            left: 55%;
            width: 37%;
        }

        @media only screen and (max-width: 600px) {
            width: 90%;
            // min-width: 370px;
            padding-left: auto;
            padding-right: auto;
            left: 5%;
        }

        top: 5%;

        .card {
            position: static;
            width: 100%;
            height: 100%;

            background: #FFFFFF;
            box-shadow: 0px 4px 35px rgba(0, 0, 0, 0.08);
            border-radius: 40px;

            .header {
                position: absolute;
                width: 100%;
                height: 46px;
                left: 8%;

                .title {
                    position: absolute;
                    width: 50%;
                    top: 30px;

                    font-family: 'Poppins';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 1rem;
                    line-height: 32px;
                    /* identical to box height */


                    color: #000000;
                }

                .navLinks {
                    position: absolute;
                    width: 87px;
                    height: 40px;
                    right: 18%;
                    top: 44px;

                    font-family: 'Poppins';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 13px;
                    line-height: 20px;

                    color: #8D8D8D;
                }
            }

            .cardName {
                position: absolute;
                width: 182px;
                height: 83px;
                left: 8%;
                top: 63px;

                font-family: 'Poppins';
                font-style: normal;
                font-weight: bold;
                font-size: 2rem;
                line-height: 82px;

                color: #000000;
            }

            .socialLogin {
                position: absolute;
                width: 100%;
                height: 56px;
                left: 8%;
                top: 150px;

                .googleLogin {
                    position: absolute;
                    width: 50%;
                    height: 55px;

                    background: #E9F1FF;
                    border-radius: 9px;

                    cursor: pointer;

                    .googleLable {
                        position: absolute;
                        width: 80%;
                        height: 24px;
                        margin: 15px;
                        left: 20%;

                        font-family: 'Poppins';
                        font-style: normal;
                        font-size: 12px;
                        line-height: 24px;

                        cursor: pointer;
                        /* identical to box height */


                        color: #4285F4;

                    }

                    .icon {
                        position: absolute;
                        width: 26px;
                        height: 26px;
                        margin: 15px;

                    }
                }

                .facebookLogin {
                    position: absolute;
                    width: 12%;
                    height: 55px;
                    left: 55%;

                    background: #F7F7F7;
                    border-radius: 9px;
                }

                .githubLogin {
                    position: absolute;
                    width: 12%;
                    height: 55px;
                    left: 72%;

                    background: #F6F6F6;
                    border-radius: 9px;
                }


            }

            .input {
                position: absolute;
                width: 85%;
                height: 92px;
                left: 8%;
                top: 230px;

                .label {
                    position: absolute;
                    left: 0%;
                    right: 64.08%;
                    top: -2.17%;
                    bottom: 76.09%;

                    font-family: 'Poppins';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 24px;
                    /* identical to box height */


                    color: #000000;
                }

                .inputField {
                    box-sizing: border-box;

                    position: absolute;
                    left: 0%;
                    right: 0%;
                    top: 38.04%;
                    bottom: 0%;
                    width: 100%;
                    padding: 10px;

                    font-family: 'Poppins';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 16px;

                    background: #FFFFFF;
                    border: 1px solid #4285F4;
                    border-radius: 9px;
                }

                .error {
                    position: relative;
                    left: 5%;
                    right: 0%;
                    top: 85%;
                    bottom: 0%;
                    color: red;
                }
            }

            .fpassLink {
                position: absolute;
                width: 110px;
                height: 20px;
                // left: 387px;
                right: 44px;
                top: 470px;

                font-family: 'Poppins';
                font-style: normal;
                font-weight: 400;
                font-size: 13px;
                line-height: 20px;

                color: #4285F4;
            }

            .button {
                position: absolute;
                width: 85%;
                height: 54px;
                left: 8%;
                top: 530px;

                background: #0089ED;
                box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
                border-radius: 10px;

                .text {
                    position: relative;

                    font-family: 'Poppins';
                    font-style: normal;
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 24px;
                    /* identical to box height */


                    color: #FFFFFF;

                }
            }
        }
    }

    .recentLogin {
        position: absolute;
        width: 321px;
        height: 214px;
        left: 73px;
        top: 500px;

        .rlheading {
            position: absolute;
            width: 66px;
            height: 24px;
            // left: 73px;
            // top: 512px;

            font-family: 'Poppins';
            font-style: normal;
            font-weight: 400;
            font-size: 16px;
            line-height: 24px;
            /* identical to box height */


            color: #000000;
        }

        .rlCard {
            position: relative;
            width: 145px;
            height: 164px;
            left: 0px;
            top: 30px;

            margin-left: 20px;

            background: #EFF8FF;
            border-radius: 9px;
            border: none;

            cursor: pointer;


            .profile {
                position: absolute;
                width: 76px;
                height: 76px;
                top: 24px;
                left: 32px;
                border-radius: 50%;
            }

            .name {
                position: absolute;
                width: 81px;
                height: 23px;
                left: 32px;
                top: 107px;

                text-align: center;

                font-family: 'Poppins';
                font-style: normal;
                font-weight: 500;
                font-size: 15px;
                line-height: 22px;
                /* identical to box height */


                color: #000000;

            }
        }


    }

    @media only screen and (max-width: 600px) {
        .recentLogin {
            display: none;

            .rlheading {
                display: none;
            }

            .rlCard {
                display: none;

                .profile {
                    display: none;
                }

                .name {
                    display: none;

                }
            }
        }
    }
}